from xtr import logging
from mtf_basic_tuto_fixture import MTFBasicTutoFixture
from mtf.test_features_sim.test_features_controller import TestFeaturesSim
import sys
import os
sys.path.append(os.path.join(os.path.dirname(__file__),".."))

from mtf.proto_common import EthProtocolType
tfs_instance = TestFeaturesSim()
logger = logging.getLogger(__name__)


class FixtureEthernetCheck(MTFBasicTutoFixture):

    @classmethod
    def setUpClass(cls):
        logger.info(
            "Message from FixtureEthernetCheck setUpClass function"
        )

    @classmethod
    def tearDownClass(cls):
        logger.info(
            "Message from FixtureEthernetCheck tearDownClass function"
        )

    def setUp(self):
        logger.info(
            "Message from FixtureEthernetCheck setUp function"
        )

    def tearDown(self):
        logger.info(
            "Message from FixtureEthernetCheck tearDown function"
        )
